<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Import Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Import Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>An import of the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7a74dd052d51b40276fe4863a1999e39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#a7a74dd052d51b40276fe4863a1999e39">Import</a> ()</td></tr>
<tr class="separator:a7a74dd052d51b40276fe4863a1999e39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeff7d68ca48200d42b9b57fe8f7080e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#aeeff7d68ca48200d42b9b57fe8f7080e">Import</a> (string target, string source=default)</td></tr>
<tr class="separator:aeeff7d68ca48200d42b9b57fe8f7080e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a883bbc36ed87aee13abb6f32585aae17"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#a883bbc36ed87aee13abb6f32585aae17">WithTarget</a> (string target)</td></tr>
<tr class="separator:a883bbc36ed87aee13abb6f32585aae17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad172a21e7587f5f8f918e7af0694eacc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#ad172a21e7587f5f8f918e7af0694eacc">WithSource</a> (string source)</td></tr>
<tr class="separator:ad172a21e7587f5f8f918e7af0694eacc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab759bebe58c8bf6d2654a1e4f002ebbd"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#ab759bebe58c8bf6d2654a1e4f002ebbd">Target</a><code> [get]</code></td></tr>
<tr class="memdesc:ab759bebe58c8bf6d2654a1e4f002ebbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Target to import (i.e. a class)  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#ab759bebe58c8bf6d2654a1e4f002ebbd">More...</a><br /></td></tr>
<tr class="separator:ab759bebe58c8bf6d2654a1e4f002ebbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ec001047c56dac07fc56c37ad80133d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#a8ec001047c56dac07fc56c37ad80133d">Source</a><code> [get]</code></td></tr>
<tr class="memdesc:a8ec001047c56dac07fc56c37ad80133d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Source to import from (i.e. a package)  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#a8ec001047c56dac07fc56c37ad80133d">More...</a><br /></td></tr>
<tr class="separator:a8ec001047c56dac07fc56c37ad80133d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >An import of the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7a74dd052d51b40276fe4863a1999e39" name="a7a74dd052d51b40276fe4863a1999e39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a74dd052d51b40276fe4863a1999e39">&#9670;&nbsp;</a></span>Import() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Import.Import </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeeff7d68ca48200d42b9b57fe8f7080e" name="aeeff7d68ca48200d42b9b57fe8f7080e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeff7d68ca48200d42b9b57fe8f7080e">&#9670;&nbsp;</a></span>Import() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Import.Import </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>source</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad172a21e7587f5f8f918e7af0694eacc" name="ad172a21e7587f5f8f918e7af0694eacc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad172a21e7587f5f8f918e7af0694eacc">&#9670;&nbsp;</a></span>WithSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> xAPI_Definitions_Parser.Code.SyntaxTree.Import.WithSource </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a883bbc36ed87aee13abb6f32585aae17" name="a883bbc36ed87aee13abb6f32585aae17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a883bbc36ed87aee13abb6f32585aae17">&#9670;&nbsp;</a></span>WithTarget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> xAPI_Definitions_Parser.Code.SyntaxTree.Import.WithTarget </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a8ec001047c56dac07fc56c37ad80133d" name="a8ec001047c56dac07fc56c37ad80133d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ec001047c56dac07fc56c37ad80133d">&#9670;&nbsp;</a></span>Source</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Import.Source</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Source to import from (i.e. a package) </p>

</div>
</div>
<a id="ab759bebe58c8bf6d2654a1e4f002ebbd" name="ab759bebe58c8bf6d2654a1e4f002ebbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab759bebe58c8bf6d2654a1e4f002ebbd">&#9670;&nbsp;</a></span>Target</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Import.Target</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Target to import (i.e. a class) </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_import_8cs.html">Import.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
